The Community Link Toronto, Issue 432, April 9 - May 8, 2024

Page 1

NEW YO R K DINER BUB BYʼS
2021
13 PASSOVER SPECIALS JAMES HAIM AKUM THE SUIT AGENCY 160 TYCOS DR. UNIT 2204 TORONTO, ON M6B1W8 TEL: (647) 393 - 2931 Looking forward to seeing you soon. Call me (647) 393-2931 by appointment only $50000 2 SUitS FOR SUper 120S Wool SUitS all SizeS & ColoUrS Suit Agency_Flyers.indd 1 2024-04-01 9:24 AM
14
15
16 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 44 45 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 S T A R S h o c k e y c a m p f o r j e w i s h b o y s A ICE HOCKEY SKILLS TRAINING - HOCKEY GAMES SPORTS - ACTIVITIES - LEARNING & DAVENING BS"D J - S T A R S I C E H O C K E Y C A M P jstars.ca for registration and information 416.271.3136 Monday-Thursday 9:30am-4pm Friday 9:30am-1pm CAMP DIRECTOR: ELI ROSTENNE B A C K F O R O U R 2 N D S U M M E R ! W E E K 1 : J U L Y 2 9 - A U G U S T 2 W E E K 2 : A U G U S T 5 - 9 W E E K 3 : A U G U S T 1 2 - 1 6 * FOR BOYS AGES 8-13 ALL SKILL LEVELS WELCOME L I M I T E D N U M B E R O F S P O T S ! R E G I S T E R T O D A Y ! *No camp on Tisha B’av, August 13 LOCATION: Week 1 @ Canlan Ice @ York U Weeks 2 & 3 @ Paramount Ice Thornhill

All items must be: Clean Not used for 24 hours NO teflon

Location: 15 Saranac Blvd (no north location)

after 30 days any items left are considered hefker

for
Join us
a community-wide kashering event. One Day Only

87,004

This Pesach, stand with Efrat and help them to help the mothers of Israel have the babies that they so desperately want. Now, more than ever before!

Efrat stands by Israel’s mothers

Donate now

efrat.org

2537 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 26 57 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 27 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #1 Ddlne Feb 22 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21
26 77 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 46 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #1 Ddlne Feb 22
27 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 27 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #2 Ddlne Mar 7

י " ד נ ן Mon,• April22nd

ט " ר נ ן Tues,• April23rd

ט " נ ן • Wed,April24th

• Thurs,April25th

י " ז נ ן

י " ח ני סן • Fri,April26th

י " ט ני סן • April27th , ש ב

כ ' נ סי ן • Sun,April28th

כ " א נ ן • Mon,April29th

כ " נ ן • Tues,April30th

• Wed,May1 st 5) ו TotalDailyTickets:(Max

כ " ג נ סי ן

CHOOSE YOUR CERTIFICATES CHART (max 3 total)

For each program (max 3) you completed (at least 12/15 days), mark the amount of certificates you want from each store:

Parent's Signature

;>...0,.) ... -&. 1fi f/jltiintגfi lfeg;rl, r{tpdlelוU 1aזו11rוs1010FKEIHEITISRAEL 511LSIIYISIUIOFIESHEIYISIAEL � . h ז I Boys & Girls in Pre- ו A - Grade 8 from Ontario liliB Wed. Aprוl ןךז / ןסינ 'ט - Wed. May ןs / ןסינ ג"כ Learning can take place anywhere. Form
be
th
2024, ן ינ 'ל to
Kesher Yisrael 216 York Hill Blvd. Thornhill, Miriam's Judaica,
First Name Last Name School Grade Birthday (MM/DD/YY) Hebrew Birthday Address City Postal Code Home Phone Father's Name _ Father's Email Father's Cell Mother's Name Mother's Email Mother's Cell TOTAL AMOUNT OF DAILY TICKETS SCREEN FREE ת י ל י ם לי מו ד ה / ח ד ENGLISH / HEBREW DATE (MAX.3) ט ' נ ן • 7th ו Wed,April י' נ י סן • 8th ו Thurs,April
" א ני סן • 9th ו Fri,April י " ב ני סן • April20th , ש ב
י סן
must
submitted by Wednesday, May 8
,
either
or take a photo of the form and send it to offוce@kesheryisrael.com or text to (833) 267- 7490.
י
י " ג נ
• Sun,April21 st
amount of GRAND RAFFLE tickets earned (Daily maximum 3. Total maximum 45) ________ Total amount of PROGRAMS COMPLETED (Maximum 3 for at least 12/15 days)___________
My family is eligible
the Bonus Family Raffle (participated in all 3 programs for at least 12/15 days)
ו completed
entire םיליהת רפס once (1 $10 gift certificate maximum.) Q� 0� �,!,_· � �.ca� 11 11 1
• Kosher Pוzza 11
Total
0
for
0
the
11
: division of חי נו ך
Slushy Maker

Kosher for Pesach!

Milchig and Parve Truffles and Chocolates

Chocolate Seder Plates and Matzohs

Chocolate Makkos Sets

Open Sundays

• Delivery Visa

• Mastercard

416.787.4256

3541 Bathurst Street (at Brooke) www.chocolatecharm.ca

39 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 68
40

Scedual

The Orange Square, More than just a shape. March 31 10am -6pm April 7 10am -6pm April 14 10am -6pm April 21 10am -5pm April 1 10am -7pm April 8 10am -7pm April 15 10am -7pm April 22 חספ ברע 10am -1:30pm
29 העבש ברע חספ Closed April 30 לש ןורחא חספ Closed April 2 10am -7pm April 9 ןסינ ח"ר 10am -7pm April 16 10am -7pm April 23 חספ'ד א Closed April 3 10am -7pm April 10 10am -7pm April 17 10am -7pm April 24 חספ'ד ב Closed May 1 11am -5pm April 4 10am -7pm April 11 10am -7pm April 18 10am -7pm April 25 לוח'ד א דעומה 11am -2pm April 28 לוח'ד ד דעומה 11am -2pm May 2 10am -5pm April 5 10am -2pm April 12 10am -2pm April 19 10am -2pm April 26 לוח'ד ב דעומה 11am -2pm May 3 10am -2pm April 6 Closed April 13 Closed April 20 Closed April 27 לוח תבש דעומה Closed May 4 Closed Su ןסינ
Tu Th Mo We Fr Sh
April
45
46 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #2 Ddlne Apr 4 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 28 69 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 13 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #1 Ddlne Feb 22 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 BAR & BAT MITZVAH Photography Special INCLUDES: - 1 hr family photos - 2 hrs event coverage JUST $780 SEE MY WORK HERE: michaellupescu.com/mitzvah michael.lup@gmail.com (416) 315 -1836
WILL BE AVAILABLE ONLINE
AS OF APRIL 21 AT: WWW.THECOMMUNITYLINK.CA
ONLY
RESERVATIONS AND INFORMATION PassoverNiagara.com $3500 CDN per adult* $1800 CDN per child *BASED ON DOUBLE OCCUPANCY. PLUS TAXES/FEES MONDAY, APRIL 22 WEDNESDAY, MAY 1 Under the meticulous supervision of Rabbi Zalman Zaltzman, Chabad Niagara IN-HOUSE RABBI Rabbi Zalman & Perla Zaltzman Rabbi Aaron & Leslie Selevan - 5-Star Glatt Kosher Cuisine - Daily Snack-Bar - Chol Hamoed BBQs - Daily Minyanim and Shiurim - Non-Gebruchts/Kitniyot - Near all Niagara Attractions - Canada’s Largest Indoor Waterpark (EXCLUSIVE HOURS FOR MEN/WOMEN) - Mentalist Yan Markson DINNER SHOW - Crafts and More for Kids - Babysitting OPTION GOURMET FOOD TO THE HIGHEST STANDARDS ENDLESS CHOL HAMOED FUN AND EXCITEMENT FALLSVIEW NIAGARA FALLS B”H
ASPHALT COMMERCIAL-INDUSTRIAL SERVICES PAVING- PATCHING- POTHOLE REPAIRS- CRACK SEALING- CATCH BASIN REPAIR 437-601-7283 heshy@preferredpaving.ca www.preferredpaving.ca RESIDENTIAL -COMMERCIAL -INDUSTRIAL HESHY ARONOWITZ Preferred Paving GET YOUR FREE QUOTE TODAY! CONCRETE INTERLOCK UPGRADE YOUR OUTDOORS! ד״סב

“Programs like Shas Milim helped ingrain the teitch of Gemara in my head, making everything easier. My Rebbeim made me feel like I was the most important Talmid in the class!”

– ARI SIGLER

GRADE 12

Currently in Yeshivas Ner Yisroel, Toronto

“The Cheder prepared me for Yeshiva in all areas. I owe a lot of Hakaros Hatov to the Rebbeim and the teachers, with whom I had a kesher; they were always there for me.”

– YOSSI FEURST

GRADE 11

Currently in Yeshivas Nachlas Tzvi

“Over the years that I spent in The Toronto Cheder, I had a very special relationship with my Rebbeim. They were genuinely interested in my growth.”

– AVI MINTZ

GRADE 9

Currently in Yeshiva Gedolah Zichron Shmayahu

Rabbi Dov Gopin

MENAHEL

Mr. Arthur Birenbaum

PRINCIPAL, GENERAL STUDIES

Mr. Michael Laszlo

ASSISTANT PRINCIPAL, GENERAL STUDIES

Rabbi S.M. Horowitz

North (Main) Campus: 475 Patricia Avenue, Toronto, ON M2R 2N1

South (Preschool) Campus: 410 Lawrence Ave, West North York, ON M5M 1C2

To schedule a tour, interview, or to apply, contact: office@torontocheder.org or 416-636-2987 ext #221

EXECUTIVE DIRECTOR FROM א תופסות AND EVERYTHING IN BETWEEN TO
RIDEFORKCC.COM Help support children with disabilities and their families.
REGISTER NOW AT
8, 2024 26 KM 50 KM 100 KM
SPONSOR
Kayla’s Children Centre provides cutting-edge education, therapy, and recreational programs for children with disabilities.
SEPTEMBER
TITLE

*MensShoppingNight* WednesdayApril17 9:30-11:30pm

127 McGillivray Ave 647.807.6397 www.gemtique.ca Wishing you a ד"סב חמ˘ו ר˘כ גח Call for extended store hours: We accept Achim

Hear the sounds of Pesach

Know someone with hearing loss? This Pesach, as your family gathers for the Seder, it may become more apparent. Recommend a hearing test –it could truly make a difference! www.hearingsolutions.ca Lawrence Plaza 1-888-441-7175 Sobey’s Plaza 1-888-439-1162 BOOK A FREE HEARING TEST ZERO PERCENT FINANCING 90 DAY TRIAL PERIOD 1-888-441-7175

BONE CHINA

TABLECLOTHS

SEDER PLATES

SUNDAY - 10:30 - 4:00 MON-THURS - 10:00 - 5:30 FRIDAY 10 - 2
PESACH
PLATED
2821 BATHURST ST • 416.787.9326 • WWW.KITCHENARTCANADA.COM
SIZED GLASSES & COASTERS for the Seder MATZAH BOXES PESACH SETS WASHING CUPS BOWLS TOWELS
SHIUR

We’re thrilled to launch the Yachad STAR vocational programthe perfect summer experience to build job skills and independence for young adults AGES 16-22 with developmental disabilities.

The Yachad STAR program allows participants to:

Master skills in gardening, baking, maintenance, and more

Join camp activities like art, music, dance

Grow social skills with peer interaction

Explore on weekly field trips

Stay active with sports

Work alongside mainstream peers

Bond during activities like pre-shabbat oneg

Experience Yachad Moshava Ba’Ir magic!

NEW at Moshava Ba’Ir Toronto this Summer!
STAR
Spots are limited so inquire today! yachad.org/summer
212-613-8369
VOCATIONAL PROGRAM Skill Training And Readiness Flexible dates available!
We offer A to Z bathroom
Design to
garbage removal, plumbing, electrical, tile work, glass work, custom cabinetry, door and trim, paint and more,
done by highly skilled Master Licenced Trades and backed by our second-tonone customer service! Contact Michael for a FREE ESTIMATE 416.712.1119 | info@bathsonly.ca www.bathsonly.ca bathsonly.ca is a division of BSD Alliance Inc. before after Shomer Shabbos
renovation solutions, from Planning and
demolition and
all

BERGER LAW

Tax, Business/Corporate and Estate Planning Law Firm

Phone: 905-597-6262 – Fax: 416-391-6086

www.bergerlaw.ca – jason@bergerlaw.ca

1 Promenade Circle, Suite 300G (Upper Level Promenade Mall)

Thornhill, Ontario L4J 4P8

*Berger Lawyer Professional Corporation

Principal Lawyer: Jason Berger

Practice Areas:

• Comprehensive Tax and Estate Planning

• Corporate Structuring and Reorganizations

• Purchases and Sales of Businesses

• Wills, Family Trusts, Probate Tax and Wealth Succession Planning

ASSOCIATE LAWYERS

Alex Schaefer

Phone number: Ext. 103

Email: alex@bergerlaw.ca

Janet (Jinghua) Liu

Phone number: Ext. 102

Email: janet@bergerlaw.ca

*We have been servicing our established and sophisticated client base since 2016*

75
76 69 Reserve Your Pesach Ads Now! Call 647-435-3716 PESACH #1 Ddlne Mar 21 PESACH #2 Ddlne Apr 4 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 68 61 Reserve Your Yom Tov Ads Now! Call 647-435-3716 PURIM #1 Ddlne Feb 22 PURIM #2 Ddlne Mar 7 PESACH #1 Ddlne Mar 21 PESACH #1 Ddlne Apr 4 57 56 Reserve Your Chanukah Ads Now! Call 647-435-3716 CHANUKAH #2 Deadline Dec 5 Issue Dec 12 74 69 Reserve Your Yom Tov Ads Now! Call 647-435-3716 SUCCOS Ddlne Sept 13 BACK 2 SCHOOL/ ROSH HASHANA Ddlne Aug 30 Reserve Your SHAVUOS Ads Now! Call 647-435-3716 SHAVUOS #2 Deadline May 17 80 CHOL HAMOED IDEAS GROUP! Whatsapp 647-435-3716 to join join! CHOL HAMOED FAMILY FUN! Reserve Your PESACH Ads Now! Call 647-435-3716 PESACH #2 Deadline Mar 22 65 "The community is growing and it is incumbent on us to support the growth of Torah in Greater Toronto and for the same reason support Bais Yaakov of Thornhill and allow it to grow and prosper " M r . B e n t z i o n H e i t n e r C a m p a i g n C h a i r m a n seed today see tomorrow ךער ב המדאה ת חפשמ לכ ךב כרב 95 "The community is growing and it is incumbent on us to support the growth of Torah in Greater Toronto and for the same reason support Bais Yaakov of Thornhill and allow it to grow and prosper." M r . B e n t z i o n H e i t n e r C a m p a i g n C h a i r m a n seed today see tomorrow ךער ב המדאה ת חפשמ לכ ךב כרב Reserve Your Yom Tov Ads Now! Call 647-435-3716 ROSH HASHANA Ddlne Sept 7 SUCCOS Ddlne Sept 21 61 Reserve Your Yom Tov Ads Now! Call 647-435-3716 BACK 2 SCHOOL Ddlne Aug 25 ROSH HASHANA Ddlne Sept 7 SUCCOS Ddlne Sept 21 60 65

Have your car conveniently cleaned in your driveway, hassle free.

we come to you! for inquiries, text 848-330-8243

tell us you saw this ad in the link and get $10 off!

82 Have you built a new home,
completely renovated
home
Contact us today: 416-671-7258 info@newhomerebate.ca www.newhomerebate.ca NewHomeRebate.ca is dedicated to helping clients receive their maximum rebate, while providing excellent service at a reasonable cost. NewHomeRebate.ca is a branch of DZTaxes, a trusted name in personal tax prep for over a decade. Contact us for all your personal tax needs. Did you know you could get over $16,000 IN HST REBATES?
or
your old
in the last 2 years?

With a Pest Control Plus Home Protection Plan, your home is covered for all service calls throughout the year, which include the protection and removal of the most common home-invading pests. In addition, you’ll also be entitled to discounted rates for all of our other services – including bedbugs and wildlife control.

416-532-PEST PestControlPlus.ca info@pestcontrolplus.ca At
our
to consistently meet
a pest control company.
is guaranteed! Sign
for our Home Protection Plan today!
Pest Control Plus,
goal is
and exceed your expectations of
Your satisfaction
up
$595 +tax ANNUAL FEE Home Protection Plan Keep your home pest-free with our COMMON PESTS DISCOUNTED SERVICES FLY CONTROL BEDBUG ERADICATION WILDLIFE CONTROL BAT CONTROL BIRD CONTROL FLEA ERADICATION DISINFECTING SERVICES MILIPEDES RODENTS SILVERFISH SPIDERS STINK BUGS WASPS ANTS CARPET CENTIPEDES CRICKETS COCKROACHES BEETLES

Visit our website to view our beautiful invitation designs. Our knowledgeable team will help bring your invitation to perfection.

It’s that easy.

B P I N V I TA TI ON S C O M · 7 3 2 .9 4 7 3 5 9 7 · 315 4T H S TR E ET L A K E W O O D , NJ 0 8 7 0 1

Is your child struggling with emotional challenges or facing difficulties in school and social situations? We can help!

At Regesh, we provide a safe therapeutic environment where children can openly express their feelings and learn ways to cope effectively Interventions are selected and adapted to fit the child’s age, interests, and treatment goals.

Individual counselling

Child and adolescent therapy

Family counselling

Couples' counselling

Anger management

https://regesh.com

https://linktr.ee/regeshhelps

info@regesh.com

149 Willowdale Ave, Toronto, ON, M2N 4Y5

Charitable registration #: 10788-1195-RR0001

Regesh is a Toronto-based non-profit and registered charity with 40 years of experience as a provider of accessible mental healthcare and counselling services. We are passionate about serving families and people of all ages in our community and helping them to achieve positive outcomes.

As part of our mission to keep our services as accessible as possible, we offer an income-based sliding scale to mak e our services more affordable. Further, we aim to see all new referrals within two weeks and we accept selfreferrals. If you need help now, get help now.

Our program has been developed to assist families and their children in understanding and solving the social, emotional and behavioural problems which are affecting their ability to function well at home, in school and in the community.

W H O W E A R E
get started! (416) 495 – 8832
OUR SERVICES Employment readiness services Paid opportunities EYER (Empowering Youth Employment Readiness) StepUp: Skills for Success Call today to
F A M I L Y S U P P O R T P R O G R A M R E G E S H F A M I L Y & C H I L D S E R V I C E S C H I L D T H E R A P Y
The Orange Square, More than just a shape.
Sparkling Collaboration Join us on April 14th from 12pm to 5pm for an exclusive Mgems Jewelry pop-up event. Explore stunning pieces and enjoy special offers. Don't miss out!"
The Orange Square, More than just a shape. חמשו רשכ גח

COR is Helping You Get Ready for Pesach 5779

PICK UP OUR PASSOVER MAGAZINE

AT YOUR LOCAL SHUL OR RETAIL STORE OR ONLINE

COR-The Kashruth Council of Canada Presents:

COR Community Kashering for Pesach at BYES

Sunday, April 14, 2019 3-7 pm

15 Saranac Blvd (Around the back)

We invite you to bring your items for kashering prior to Pesach. Items may not be used 24 hours prior to kashering. Any items left are hefker after 30 days.

TEXT-A-QUESTION & SMARTLISTS

Text-A-Question: For one-word answers, text 647-402-1910

Smartlists are available online @ https://cor.ca/consumers/passover-information/

COSTCO FOR PESACH

https://cor.ca/2024/04/costco-for-pesach-list-2024-5784/

COR / www.cor.ca / questions@cor.ca / 416 635-9550

94

COR – Kashruth Council of Canada &

The Rabbinical Vaad Hakashruth (RVH)

would like to extend wishes of a chag kasher v’sameach to the entire Jewish Community of the GTA.

We would like to take this opportunity to express our sincere appreciation and hakaras hatov to our dedicated staff of Mashgichim for their commitment and dedication in maintaining the highest standards of kosher supervision; especially in preparation for Pesach. It is not a simple task to prepare the GTA’s finest food establishments for Pesach and our Mashgichim do it with great passion. Behind the scenes of the busiest retailers and creative caterers is the rock-solid foundation of kashrus that is provided by our team of COR Mashgichim.

We are sincerely proud of all of you - the Toronto community’s Kashrus Professionals.

Rabbi Yacov Felder, Chairman, RVH

Rabbi Tsvi Heber, Director, Community

Rabbi Dovid Rosen, Director, Industrial Richard Rabkin, Managing Director

Jay Spitzer, Director of Operations

Moshe Sigler, Chairman, Kashruth Council

COR / www.cor.ca / questions@cor.ca / 416 635-9550

95
96 162 Book Your LINK Yom Tov Ads! 647-435-3716 SUCCOS ISSUE Deadline Sept 16 | Issue Sept 23 FIND THE MISSING ESROG! A drawing of an Afikoman is hidden somewhere in this issue of our publication. It can be hidden anywhere, in a picture, in a margin or in a letter. This is an example of the Afikoman you are looking for It can be any size but it is alone (not on this page & not par t of the logo). You Can Be A Winner! If you find the Afikoman, THIS ISSUE you could WIN $54! Mail us immediately & tell us which page it is on. The first 25 people will be entered into a drawing to win $50. Winners will be printed in the next issue of The Community Link. HURRY!! Mail to or drop off at Find The Missing Link 79 Baycrest Ave. Toronto, ON M6A 1W2 By October 20, 2014 FIND THE MISSING ESROG! Chaya Greenspan Contact The Link to claim your $25 Good Luck! Last Issue Winner Last issue The Missing LINK was on the All Time Par ty ad on pg. 14. Thursday, May 2, 2024 Elisheva Belsky please contact The Link to claim your prize Last issue The Missing Link was in the Shaimos ad on page 13. FIND THE MISSINGFINDAFIKOMAN! THE MISSING AFIKOMAN!
Creating Beautiful Smiles Dr. Sam Axelrod & Associates GENERAL PRACTITIONERS yoursmiledentalcare.com 416-783-3533 65 Viewmount Avenue (Bathurst and Lawrence) Implants Cosmetic Improvements General and Family Dentistry Providing a heimishe, personalized, convenient and professional service to the community

FOR RENT

Need extra space for guests? Lovely bright “studio” kosher basement space with large window, sep entrance, avail for nightly rate. For couples or female guests only. Sleeps 2. Less than 1 min walk from BAYT. Shomer shabbos only. Private washroom with shower, twin beds, linens towels provided, small kitchenette. For more details email studio2apt9@gmail.com

Short term apartment rental for one woman. Bathurst/Wilson. Email 121244k@gmail.com

Studio basement apartment for rent. High ceilings, granite counter kitchen, sep entrance, private bathroom w/ shower, Shomer shabbos single male. wifi, Lawrence/Bathurst. Near TTC, restaurants, shuls. No parking. Batsheva 647-786-4313

Penthouse apt for rent - big 2 bedroom condo, 18th floor, fully furnished, kosher kitchen, Bathurst/Steeles. All utilities incl. with cable & internet. Lots of amenities. NO shabbat elevator. $3000/mth. Avail Feb 1. 416-665-4121.

Thornhill furnished apartment - bright “studio” kosher basement space. Large window, avail Mar 1. Med-long term rental. Shomer Shabbos female tenant. Bathurst/Clark close to all shuls. Private washroom & shower, small kitchenette. For info pls email studio2apt9@gmail.com & incl phone number. References required.

Long term apartment for rent in 3000 Bathurst St. for chosson & kallah. Email st5065201@gmail.com

LOOKING FOR

Do you have a few minutes to check in on someone or engage in a brief friendly chat? Looking for female volunteers. Call Chana Kalter for info. 416-785-5657

Lilui nishmas Faiga Tzippora bas Dovid Aryeh

LOST & FOUND VACATION

Long term, luxury apartment for rent. Sunny Isles Beach, Florida. 3 bedroom, 2.5 baths, 2300 sf, all amenities, close to shul, shopping & transit. 647-210-5752.

FOUND: Womens wedding ring was found at the washing sinks at a chaasuna at the Terrace Banquet Hall in June. Please call 416-893-0444.

MINYANIM

If you would like to receive zmanim & updates for The Boat Shul please email zmanim@theboatshul.com

6:45am Shachrit minyan at Maon Noam, 910 Rutherford Rd. (& Bathurst). Mon-Thurs. For info

Rʼ Hirsch Rabinski 647-236-7700, Rʼ Yisroel Feldman 416-996-0411.

7:45 am daily minyan Monday-Friday 8am Sunday, Shabbos Shachris 9am Chevra Shas - 3545 Bathurst St opposite Baycrest Hospital 416-782-3420.

8:00am Weekday morning minyan at Clanton Park shul upstairs. On Sundays & official holidays we daven at 9:00am. 416-838-9965.

8:00am minyan in ThornhillAteres Mordechai 230 Arnold Ave. 905-597-3157

email: info@ateresmordechai.com

Shabbos Vasikin minyan in Thornhill - Ateres Mordechai. Davening 45min. before Neitz. Kiddush following. 230 Arnold Ave. 905-597-3157

info@ateresmordechai.com

MINCHA

2pm Mincha at Westmount Shul#250 - 10 Disera Dr. (1 block west of Bathurst, north of Ctr). Mon-Thurs in winter. 905-881-7485. www.westmountshul.com

1:00pm Mon-Thurs Finch

400/Weston/Islington Dana Trading Co

40 Penn Drive 416-747-7778

1:00pm Winter, 2:00pm Summer

Mincha at Yonge & Bloor 175 Bloor St, East tower suite 601 Call 416-323-3773 x337

email abessin@allseniorscare.com

1:00pm winter, 2:00pm summer

Mincha Hwy 7 & Woodbine

Yogen Fruz head office, 210 Shields Court. Contact: Volvi Bergman wbergman@officecentral.com

2:00pm daily mincha Mon-Thurs

Aden Earthworks 147A Bentworth.

2pm Mincha at 197 Spadina Ave. Suite 500 (n/e corner of Phoebe & Spadina, north of Queen, east side of Spadina) please email shelagh@yad.ca

1:40pm Olympia Tile 15 Dufflaw Rd. 2nd flr. Mon-Thurs Tzvi Hess 416-785-9555 x217.

2:00pm 5255 Yonge Street Suite 901 please text 647-574-3659 for info.

Mincha/Maariv 15 min before Plag at 309 Pennsylvania Ave in Vaughan Mon-Thurs in the winter. Please email dastern321@gmail.com with any questions.

103
HATZOLOH 416-256-1000 CHAVEIRIM 416-831-4583 SHOMRIM 647-557-6735
RENTAL SHACHRIS

2:00pm Mincha Dufferin/Glencairn 2778 Dufferin Street Main Floor

Meirʼs Office Shteible. Cholent served every Thursday.

2:00pm Yonge/Finch mincha.

Xerox tower 5650 Yonge St. Ste 1700. Questrade Inc. Come join or contact tasher@questrade.com

1:00 pm Mincha in Mississauga 25 Eglinton Ave E. (N/E corner

Dixie & Eglinton) to join email list to confirm minyan call 905-268-4432 or email info@jewishmississauga.org

2:00pm Plazacorp Investments

Mon-Thurs. 10 Wanless Ave. Ste. 201 416-481-2222 x244.

2:00pm Mincha Mon-Thurs

Concord - 140 Cidermill Bldg A Hwy 7/Jane 905-660-7716.

Shabbos Mincha Gedola - 2:00pm at 35 Stormont 416-782-3328.

2:00pm New year round mincha minyan. 333 Wilson Ave Suite 201 entrance thru west stairwell

Bathurst/Wilson

2:15pm Yeshivas Mishkan Hatorah

3452 Bathurst St. (opposite Grodzinskis) enter from rear entrance 416-800-9089

Maariv 9:00 pm winter, 9:30pm summer.

3:30pm Mincha Mon-Thurs

265 Rimrock Rd Suite 265 Allen & Sheppard) Jeff 647-930-3038.

3:15pm Mincha, 6pm Arvit 10 McAllister Road. 2 blocks south of Sheppard. For more info please contact 647-857-6600.

3:15pm Mon-Thurs - Friedberg

Mercantile 220 Bay St. 6th floor corner of Bay/Wellington 416-364-1171.

Yeshiva Gedola Zichron Shmaryahu (Mesivta) Shachris 7:30am, Mincha 3:00, 3:30 Maariv 9:30, 10:00 70 Faiholme Ave.

Daily minyanim in Kollel Yismach Moshe 4116 Bathurst St. Shachris: 6:55 am Mon-Fri, Sun 7:30am Arvit: 9:15pm

10:15pm Maariv in The Thornhill Kollel Ohr Yosef every weeknight 601 Clark Ave.

GENERAL NOTICES

If you are in need of someone to say KADDISH after the loss of a loved one, wesaykaddish.com can help. 416-451-6543.

If you know someone in hospital who could use a visit or specific support please call Bikur Cholim office 416-783-7983.

Attn Teens: This One is for you! Call 347-498-8353 for Bnos Melochimʼs extraordinary “Tele-Teen”

A hotline featuring teen triumphs, school spotlights, Q&A roundtable, intriguing interviews & a daily lesson.

Shabbos Meal Connectionif you are new in town or are single & need a shabbos meal call Leah Gabay & she will set you up with hosts in your area. 416-789-5812.

Daily mens general email group. Great if youʼre looking for info on events, recommendations for services or to buy or sell something. To join please email

gta-yidden+subscribe@googlegroups.com

Tzion of A Tzaddik - there is a tzion of a tzaddik Rʼ Naftali Zvi Horowitz zt”l where many people have merited yeshuos. His kever is at the Roselawn Cemetary at Bathurst/Roselawn.

Inspire By Wire - Bnos Melochimʼs 24hr inspiration line. Call 718-906-6451 to hear personal stories of triumph, fascinating interviews hundreds of beautiful lectures on the topics of modesty, self esteem, parenting, shalom bayis, shabbos etc & special tznius teleconferences.

Daily Niflaos HaBoreh Shiur

1-2 min. Shiur calls you (choice of EST 8:45am, 1:15pm, 2:15pm, 6:15pm, 7:45pm, 9:15pm)

Also available on Whatsapp. To join: call/text: 313-NIFLAOS (313-643-5267)

Sample: 908-809-8673.

Wheelchair available without charge. Solid adult wheelchair available in excellent condition. Please call for info or pics. Barbara Reid 416-993-0677

Bet Yosef Sephardic Synagogue

Join us for the holidays & every Shabbat (Friday & Saturday). We are located at Bathurst/Steeles 1 Cordoba St. across from the Sephardic Centre in the building party room. 416-889-2618, 905-660-0020

104 HATZOLOH 416-256-1000 CHAVEIRIM 416-831-4583

New learning opportunity - Join an early morning kollel. Add inspiration & success to your day. For details call 647-893-8950 Shmuel stipends available

Toronto Grapevine - email group for frum women of any age and stage of life. Find out whatʼs going on in the community at large. Itʼs free. Just send an email to tgvmembership@yahoo.com Service provided by FrumToronto.com

Amazing Emunah & Bitachon hotline! Your life will never be the same! 732-719-3898.

Young Wives &/or Young Mothersjoin our Meet N Greet email group created just for you. Find out about stuff going on in the community & stay connected with others in your area. Send an email to MNGToronto@yahoo.com

Celebrating a Bar/Bat Mitzvah? How will you be marking this milestone? Ask about Chai Lifeline Programs & brochure. Help be the difference in the life of a sick kid. Contact skaplan@chailifeline.org

SERVICES

We are here to assist you with all your travel plans. Specifically we offer low prices for flights From Toronto to New York & Montreal. We also sell cheap sim cards for Israel. Please email traveldonebest@gmail.com or call 514-553-2069

Shainhouse Paralegal Serviceslandlord & tenant, small claims court, assessment review board, all tribunals, mediation services. shainhouseparalegal.ca 416-636-9997 or 416-769-1234

LʻChaim Cancer Support

Group for Jewish Women - our volunteers are Jewish women cancer survivors who provide confidential peer support to Jewish women with cancer. (A project of National Council of LʼChaim hotline) 416-630-0203.

Torah based 13 step program of recovery or codependency. For more info call hotline. 845-286-1006

Toronto for Shabbos every Thursday luxury door to door service. Return to NY area after shabbos. Private hire welcome contact Boruchschlanger@gmail.com or 647-474-0177

Amudim provides confidential resources & assistance to individuals impacted by abuse, neglect, addiction, mental health & crisis related matters. 647-517-0222, 647-951-9385, info@amudim.org

Piano Teaching - many years experience, all ages. Special skills working with very young children. Loving & patient. Advanced teaching incl. theory of music. Exam prep for Royal Conservatory. Jewish culture music (hebrew & yiddish) First lesson is FREE 647-210-4164 golubchin@yahoo.com

Bicycle Repairs by a shomer shabbos yid. Call Shimon 647-852-3075 shmeely@msn.com

Shidduch Resumes Typed

Professional looking, low rates, quick turnaround. 647-892-2063 randy.perlow@yahoo.com

Small Wonders - supporting Jewish couples experiencing infertility. Medically, emotionally, halachically, financially. 24hr helpline.416-742-0090 confidential.

Cleaning Service for your home $20/hr. Visit www.homekeeperstoronto.ca or call 437-446-7399.

Sefarim/Book Binding Service in Thornhill $10 per Book/Sefer Good Quality! Please call/text 437-255-2992

Chai Lifeline Canada - providing support & services to Jewish families & kids affected by life threatening & life long illness. Strictly confidential 647-430-5933

Clothing donation drop offs to benefit Jewish schools. Yeshiva Yesodei Hatorah 77 Glen Rush box next to garbage bins SE side of lot. Bobov Cheder 44 Champlain Blvd Green bin located north of the front entrance. To add a bin to your school, fundraisers call 416-220-7073.

Jewish Senior Circle pairs volunteers with lonely seniors in their places of residence - private homes, nursing or retirement homes. To sign up a senior in need contact Jewish Senior Circle 647-770-9870 levi@jewishseniorcircle.com www.jewishseniorcircle.com

MORTGAGE FUNDS - Private funds available for 2nd mortgage loans on qualifying residential property.

Reasonable rates. Heter Iska. Call Myer at 416-256-9823 or email mb@mblegal.ca

Pushka pickup - replacement service if you have a ChaiLifeline, KCC or JHF Pushka - email with your address. thetzedakacanman@gmail.com

zechus for Acheinu Kol Beis Yisroel, we are now offering the phone cubbies with chargers at no cost to shuls and Mosdos haTorah. Many shuls have already installed them and the feedback has been very positive. There is a limited supply. Please contact Dovid Appelbaum at dovidapps@gmail.com or 647-710-7815 for more information and for installation. Tizkeh limitzvos.

Looking for a fun activity to do at a birthday party or event?

Try Acrylic Pouring! Itʼs easy, messy (doesnʼt leave a mess) & lots of fun for all ages. For more info or to book your event. Text, call or Whatsapp Sara Eisenberg 332-214-1266

NEED HELP WITH YOUR PROJECT?

proofreading & editing, datat entry & formatting, email & blog writing, excel/word/powerpoint, acrobat/illustrator/indesign

647-892-2063 randy.perlow@yahoo.com

105
CUBBIES WITH CHARGERS. Limited Time Offer.
a
PHONE
As
HATZOLOH 416-256-1000 CHAVEIRIM 416-831-4583 SHOMRIM 647-557-6735

GEMACHS

SIMCHAS

Gemach Ateres Malkacrown & veils for brides. Call Judy 647-992-5839 for an appt. Located in Thornhill. accepting donations of crowns & veils in perfect condition only.

Gemach for plastic serving bowls, platters, spoons & forks. Mirror ties & vases for centerpieces. Lilui nishmas Meir Shimshon Hacohen ben Eliezer Litman and Tamar bas Yosef. 647-778-0076 (Michal)

Miriamʼs Closet - beautiful sheva brachos outfits for kallah & her mother. Shani & Bracha 416-828-6462, 647-217-2259

Cake Gemach - Simcha to Simcha to donate items left from your simcha & enhance someone elseʼs simcha please call Mrs. Susie Bierbrier 416-875-5686 or Mrs. Ruth Galet 416-523-7082 we will be happy to pick up your cookies, petit-fours, cakes, chocolate, nuts & candy.

Brit Yitzchak Gemach - copies of sefer “Brit Olam” with the special learning seder for leil habrit available for Sephardim to borrow. 416-518-8177.

"Gemach Glickel Chana" A selection of gowns for your next simcha. Located in Thornhill. Sunday & Weekday appointments only. No evenings. L'zecher Nishmas Glickel Chana Bas Chaim. To book appointment email Thornhillgowngemach@gmail.com

Chuppah Tefillah Card Gemach

Making a wedding? Beautiful tefillah cards available for loan. Please contact Rachel at 647-710-8767 or email chuppahcardstoronto@gmail.com

On The House Tablecloth Gemachlarge array of beautiful tablecloths for your simcha. Also some centrepieces avail. Call Fraidy 416-789-4273.

Petals & Lace Gown Rentalchildren-preteen 416-787-9817

42 Dufflaw Rd. CALL FOR HRS

Wedding Shtick Gemach - all proceeds go to Hachnosas Kallah of Toronto. Please call Michal 416-782-3366 evenings.

Gowns for Mother-of-the-Bride & family - Call Suri 416-783-7465.

Boys Simcha Outfits - Hachnosas Kallah sizes 18mths - 6x. 416-789-2320.

Kallah Sneakers Gemach

Please text 416-450-8699

167 McMorran Cresc, Thornhill

The Toronto Women's Clothing Gemach. Accepting donations in excellent condition, current styles. Call or text 416-726-1726 for drop off locations & hours to shop. Proceeds go to local Kollel.

Place Cards - we have place cards that include 2-4 line poems to encourage Shmiras Halashon at a simcha. Avail. in cream & white colours. Free of charge. Lʼillui nishmas Rebbetzin P. Weinberg a”h. Please call Esther Rochel 416-787-6780.

Bris Card Gemach - tefillah for mother, father, guest attending bris & the nusach of bris. Please call 416-789-9745.

Bris/Pidyon Haben Gemach

Zichron Pessy - beautiful bris outfits, poya, pillow cover & tray.

Call/text Chaya Goldstein 647-470-7816

Petticoat/Crinolin Gemach

Lots of stock - women & girls

Come any time the Perfect Fit is open. cheque deposit per petticoat. 416-782-8378 donations welcome

Bencher Gemach - lʼilui nishmas HaRav Yitzchak Gamliel ben HaRav Noach HaLevi Witty zt”l. 905-709-6445.

106 HATZOLOH 416-256-1000
For $299 Economy $399 First Class - Round Trip!* EMAIL: 7894404@gmail.com PHONE: 917-789-4404 *subject to availability Flights To NEW YORK

Hachnosas Orchim Gemach - quilts, pillows, linen, towels, hot plates, heaters, urns, negel vasser sets available for short term loan. Call Mrs. Leah Esther Fuhrer 416-787-2234 or Mrs. Frumie DʼAncona 416-780-1312.

Simcha Gemach - items such as salad bowls, serving pieces, trays, kiddush cups, challah knives, salt shakers, chafing dishes, hot water urns, baskets, chocolate fountain, centrepieces. A few coat racks & some tablecloths. Call Sori 416-787-9582.

Zichron Yehudit Bridal Jewellery Gemach - for more information please call Barbara at 416-837-1710

SIMCHA BASKETS - fully stocked toiletries basket for the ladies room at your simcha $20 (fee used to restock) call/text 647-333-2352

יבצ

Simcha Vases (25) - 24” tall clear glass “Pilsner” vases for arrangements either in vase or on top Brand new. $6 rental each. Partial proceeds to Chai Lifeline. 905-881-6340.

Maternity Gown Gemach - now carrying full length gowns & 2 pieces that are appropriate for family weddings. Call for an appointment. Miri Kaufman 416-932-6632.

Gorgeous chuppa cards with tefillos for the Chosson & Kallah available to use. Contact M. Wachsman 647-741-1336 markitgraphicdesign@gmail.com

Lucite Chuppa Cards with Tefillos to say at the time of the chuppa. Available to borrow for your next simcha. Please call/text Esti 416-835-8942.

Bris Gemach - Beautiful pillow & outfit to use for bris milah. Lʼilui nishmas Rʼ Aryeh Ben Nesanel Lemberger. 647-349-8166

Beautiful cards with tefillos for before the Chuppah available to be borrowed.

Mrs. D. Jakubowitz 416-789-9745.

Bris Gemach - lʼilui nishmas Harav Raphael ben David Ohayon z”l Beautiful bris pillow & white knit outfit with a blanket to use for bris milah. Starter kit includes gauze pads, vaseline & antibiotics ointment. Call/text Shani Kanner 416-801-9397 pidyon haben tray available too.

LIBRARY

Free lending gemach for books that strengthen emunah & bitachon. “The Secret To Miraculous Salvation”, “Living with Emunah” & others. Please text 416-826-1281.

Chumashim & Siddurim Gemach we carry chumashim, siddurim, bentchers & challah covers. Lʼillui nishmas Rivka Chana bas Yaakov. 416-785-1169

Emunah book & CD Gemach - many titles available for loan. All on the topic of emunah & bitachon. Call 416-887-7672 & leave a message. Lʼillui nishmas Harav Zachariah Mines zt”l.

CLOTHING/SHAITELS

Bais Yaakov High School Uniform Gemach- uniforms available by appt. 416-782-2417.

Bnos Bais Yaakov Uniform Gemachuniforms available & to drop off call R. Tauber. 416-256-1694.

The Shaitel Gemach of Toronto is now offering haircut services for children and women. Very affordable. Please call Elisheva for an appointment 647-770-7462.

Toronto Shaitel Gemach

Leiluy reb A.Yekutiel Ben Meir

All your shaitels needs

Wash & set for $20 same day service; dye hair too. Please call Esthe Lipovenko @ 437-221-6585

Shaitel Gemacher - have a wig not right for you? Let someone else enjoy it! Call Shully Feigenbaum 416-785-5133.

Toronto Shaitel Gemach is offering haircuts, hair colour, hair/wig treatments, wash, blowdry & style at my place. Bathurst/Lawrence. Enquire for FREE haircuts. Very affordable. Call Mrs. Kaplan 647-809-8673.

Tznisdik Hospital Gowns - available to borrow. 416-256-4350.

Shabbos hats for men needed for gemach. Drop off is 77 Sultana Ave. email walkincloset1@gmail.com for info

Bais Yaakov Elementary School Uniform Gemach is now located at 137 Caribou Rd. Please drop off any like-new uniforms you are no longer using at the front door. For appointments to take from our beautiful selection of free uniforms please call/text Chavi Woldiger 416-988-9153.

107
ןב םחנמ
יכדרמ תמשנ יולעל
HATZOLOH 416-256-1000 CHAVEIRIM 416-831-4583 SHOMRIM 647-557-6735

Mens & Boys Gemach - featuring suits, white shirts, dark pants, dressy shoes, leather belts, coats size 10 kids to adults.

$5-$25 Charles, Tyrwhitt, Canali, Boss, Zegna, Strellson, Brooks Bros etc. For appt or to drop off donation call 416-780-1333 or email walkincloset1@gmail.com

New Dressy Clothes Gmach in Thornhill! Tznius dressy clothing available! Come try on and keep whatever works for you. It is for the community, so no charge! I am currently collecting donations of Shabbos, Yontif, Sheva Brochos type clothing for women and teens. To donate please contact me, Chani Abrams at 647 687 0447 or chanirosenberg@gmail.com

Thornhill Ladies Clothing Gemach. 18 Rodeo Drive. 647-406-9196

sherrylynnsolomon@gmail.com

9am-sunset daily. No appt necessary to browse but appts needed for dropping off items.

Tznius Awareness - CDs now available from the kinus lʼilui nishmas Mrs. S. Konigsberg a”h. Also available: EZ necklastic kits & knee covers. Min. charge to cover costs. Please call 416-398-5785.

RIDES/CARPOOLS

Car/Booster Seat Gemach - short or long term. Call Rhona Wunsch. 416-783-9323.

Car Booster Seats available for short term use. Call Batya 416-256-7507.

Chap-A-Ride to your out of town destination - Need a ride? Offering one? Sending a peckel? 416-782-7141.

MISCELLANEOUS

Hachnosas Orchim for out of towners coming to Toronto to date (Shidduchim related) Need a place with privacy? Total confidentiality. No need to stay in a hotel. Call us, itʼs our pleasure. 416-633-1749.

Electric & manual pump gemach. New! Many Medela pumps avail for up to a year. Spectra Pumps also available. Email elishevakest@gmail.com

If you are pregnant & need help with suppers: Volunteers bring suppers for 4 weeks to me to be picked up anonymously. To volunteer/get help email anonymousbutnotalone toronto@gmail.com

Moving? Need boxes? Come to the back of Kitchen Art (2821 Bathurst St) & help yourself from the brown bin at the right of the door. Call 416-787-9326 to check availability.

Mezzuzah Gemach - moving? in between homes/apartments? checking yours? Short term loans available. Please call 905-889-9970. Lʼillui nishmas Frimshe bas Shraga Feivish a”h.

NEW PURIM COSTUME GEMACH with a variety of costumes for all ages. Lʼilui nishmas Shimon Yehuda ben Chaim Yeshaya Shlomo a”h. Please call/text Esther for appt. 416-455-2391.

Kosher Ipad for short hospital stays. If someone you know is going to the hospital overnight (r”l) call for a new ipad preloaded ONLY with koshergames (more options avail on request) 647-261-7775.

Bikur Cholim 416-783-7983

ALL OCCASION CARDSWant to congratulate or mark a special anniversary? Recognize a friend or acquaintance? Want to remember a loved one? Nichum Aveilim? All of these can be tastefully done with our cards. New design & price.

MEDICAL EQUIPMENT - to borrow or donate medical equipment

Please call the Bikur Cholim office 416-783-7983

Clubfoot/Develpmental Hip Dysplasia - was your newborn just diagnosed? Maybe we can help. 647-300-4168.

Be Seen & Be Safe Reflective Safety Gemach. armbands, belts, tape etc.

Do you or a loved one walk at night?

Be safe at night & help others be safe. Email or text to arrange pickup willowbrookstoronto@gmail.com 647-708-8201 pickup in Thornhill. In loving memory of Bracha bas Mini donations of reflective items also welcome.

Sukkah Gemach

Do you have/need a sukkah or equipment? contact us & we will try to connect those who need with those who want to give away. Lʼilui nishmas Rʼ Naftoli Tzvi Ben Harav Yosef

Chaim Avrohom z”l. Email sukkahgemach@gmail.com

108
HATZOLOH 416-256-1000 CHAVEIRIM 416-831-4583 SHOMRIM 647-557-6735

Multiples Gemach - for families expecting multiples. Clothing, diapers, various toys, sleeping & feeding items. Please email youngalona@gmail.com or whatsapp 416-804-4600.

Pidyon Haben Gemach

Items for pidyon haben, coins to purchase, list of kohanim, packages of garlic & sugar, pillow & clothing.

Liʼilui nishmas Mrs. Ester Eichorn

Contact Ben at ben@eichornrealty.com 416-666-0242.

Doula Gemach - get prenatal, labour & postpartum support for reassurance, comfort & guidance as well as positive birth experience. Have a fulfilling birth memory while paying what you can for a trained/experienced doula. Please call Batsheva at 647-766-5425.

lʼilui nishmas Tamara Taube bas Ephraim.

Crutches Gemach Refael David - short term loan of crutches. Lʼzchus Refael Dovid ben Bracha

lʼrefuah shelaima. Please call 416-567-5656

Natural Cleaning Product Gemach. Free cleaning spray to introduce inexpensive homemade alternatives to harsh chemicals. 647-458-1524.

INTRODUCING: The new CHA-LOVE Formula Gemach

To request or donate safety sealed, non expired formula, coupons or sterile water for mixing, please contact 416-880-7417 or email chaloveformula@gmail.com

Chaya Gemach - Lʼilui nishmat

Chaya bat Moshe (N”Y)

Helping to get information for Hebrew schools, Hachnosas Orchim, kosher food in the Jewish community. Call Esther Lipovenko 437-221-6585

Are you or your child laid up in bed? is someone you know recuperating for whatever reason? Would it help to have educating, inspiring & kosher entertainment available on hand? Please call 416-726-4969.

Do you bake 5lbs of Challah on Thursday night or Friday? Please join our Gemach & daven for others. Call 416-CHALLAH (416-242-5524)

Mezuzah Gemach - long or short term. Lʼilui nishmas Esther Berocho bas Eliezer a”h. Please call or email ben@eichornrealty.com 416-666-0242.

ChallosRUs is making challahs with proceeds going to people who need it. Contact challosrus@gmail.com Challah is taken. All ingredients yoshon. Challah baked by Sarah Chaya Basser. References samples available upon request.

Baal Tashchis Gemach - are you making a simcha/party or gathering? Call us anytime & we will pick up the groceries/ leftovers. 416-780-1333 Cooked items will need some hechsher. All food goes respectfully to families in need.

Remote control adjustable beds for post surgery & rehab patients. Available for long term loans. bryskine@gmail.com

Gemach Zichron Esther Bracha we provide assistance in coordinating all shiva needs Bentzy 416-666-0242 or Tzvi 647-862-8501.

New Chair Gemach - white garden chairs. Pickup in Thornhill. Call 416-729-4598 to reserve.

High Prescription Drug Costs?Gemach to help access government program that can assist with the cost of prescription drugs. Contact Yitzchak 416-256-7507.

Liven Up Your Simcha

do you or anyone you know want some extra excitement at a wedding? Bais Yaakov type girls are happily ready to liven up your simcha. Call 416-616-9218

Crutches Gemach Refael David - short term loan of crutches. Lʼzchus Refael Dovid ben Bracha lʼrefuah shelaima. Please call 416-567-5656

Diaper Gemach - if you have any unopened box/packages of diapers or are a family in need, please email TOdiapergemach@gmail.com or text 416-939-9390. Confidential

Pushka Pickup - pickup service for Rʼ Meir Baal Hanes, Bikur Cholim, BYES, Ashreinu 416-781-5372

gelbfamily1234@gmail.com

No time to cook? Bring it & Iʼll cook it for you. Please call Rina 416-209-0406

Liʼilui nishmat Rivka bat Chai.

If you have leftover food from a simcha or event and want to donate it please contact danielle.morris@rogers.com will make sure thaat it goes to people who are food insecure. Tizku Lʼmitzvot

We reserve the right to select ads & pictures to be published. We are not responsible for typographical errors, kashrus, availability or quality of products or services advertised.

109

GPS Gemach - available for short term rentals at no charge. Please call 416-890-8944.

Mezuzah Gemach - Lʼilui nishmas

Chaya Faiga Mirel bas Yechiel

Ephraim Fishel. Call Devora & leave a message 416-831-4718.

Short term

Winter Gloves

GemachMeshulochim & visitors in temporary need of winter gloves & scarves. 416-789-1515 if no answer, leave a message.

Tefillin Gemach - tefillin available for short term loans (both right & left). Lʼiluui nishmas Rʼ Simcha ben Binyomin Felsenburg a”h. Please contact Kahan Family 416-782-8766.

NEW! Need to borrow (short term) a Pack n Play or cots with mattresses? Text Dianna at 416-662-1551

Simi Abrams z”l Hockey Equipment Gmach in Thornhill. Hockey equipment and skates for young kids up to teens. It is for the community so no charge. I also accept donations. Come and take what you need! By appointment only. Chani Abrams 647 687 0446 pls text as I canʼt take calls at work. Or email chanirosenberg@gmail.com

Menucha Simcha Gemach - Lʼilui

Mrs. M.S. Bat Shimon AʼH. Lice check/ Shaboss/Weekday cooking bring it & Iʼll cook it for you! Please call E. Lipovenko 437-221-6585.

New! Gorgeous Bracha Acharona (& Kiddusha Raba) Cards for your Kiddush. Designed for any occasion & comes with nice stands. Please call for pick up & drop off. M Wachsman 647-741-1336

Doula Gemach - get prenatal, labour & postpartum support for reassurance, comfort & guidance as well as positive birth experience. Have a fulfilling birth memory while paying what you can for a trained/experienced doula. Please call Batsheva at 647-766-5425. lʼilui nishmas Tamara Taube bas Ephraim.

Beautifully Illustrated Tribute Cards -available “in honour of” or “in memory of”. Proceeds go to Eim Habonim Smecha, an organization for over 500 single parent families in Israel. Call 416-638-3366.

Looking for a PLATE to break at the wedding? We are happy to provide. Lilui nishmas Rosa Barna 416-824-4135.

High Prescription Drug Costs?Gemach to help access government program that can assist with the cost of prescription drugs. Contact Yitzchak 416-256-7507.

New medical equipment gemach in Thornhill. To borrow boots, walkers, crutches, wheelchairs etc please contact Sara Plonka at srplonka@gmail.com

Notary Public Available - evenings in the Bathurst/Lawrence area. Free service for seminary/yeshiva students, cross border travel etc. 416-782-5219, 416-749-4092 or dbotnick@rogers.com

CHALLAH GEMACH - Bathurst/ Lawrence. We will bake fresh (amazing) challahs weekly for those in need. Pay what you can, all proceeds to Tomchai Shabbos. For pickup only. Text 647-531-5024 latest by Thurstday night

Kosher Cleaning For Pesach

Gemach - book ahead of time

Call Chaya Elisheva Kaplan 647-809-8673

Are you making a Simcha?

Speak to Simcha, Simcha will Sing for your Simcha! Weddings, Kumzitz, Bar Mitzva's, Sheva Brochos etc. Please call (437)-329-8734 for inquiries.

110

• Write in clear readable BLOCK letters.

• Please don’t use more than the allotted space in the following form (max. 150 characters)

• We insert classified ads FREE of charge - for business related ads there will be a $25 + 13% HST prepaid charge (credit cards only)

• We do not reenter classifieds from one issue to the next. If you want your ad to run more than once please note it on the fax. (Max. 2 times/free ad)

• Classified ads can be emailed to publisher@thecommunitylink.ca or Whatsapp to 647-435-3716

Please fill out this form to send in a Classified Ad. •

111
Select A Category: For Rent/Sale For Sale (items) Looking For Notices Lost & Found Job Opportunities Services Gemachs Comments Title Tel.
Classified Ad deadline
Thursday,
For Business Classifieds Only: Credit Card No. Expiry Amount $ Signature
is
May 2, 2024. FAX SUBMISSION FORM
112 CAMP Camp Agudah ................ 6,7 CHILDREN (see also gifts) Bonus Kids .................. 32,33 JStars Hockey ................... 16 JCK 50 Orange Square 41,90 Sugar Spice 86,92 Toveedo BC CLEANERS Quality Discount ........... 14 CONFECTIONARY Chocolate Charm 36 Chocolate Moose 18 Kosher Natural ........ 20,100 COUNSELLING Blossom Therapy 84 Family Therapeutic 45 Regesh Family ................. 87 DENTAL Dr. Axelrod...................... 99 EMPLOYMENT JVS 11 FINANCIAL Discount Cheques 1 Lighthouse Credit 114 FOOD Bubbys Bagels ..................... 5 Kosher City 2,3 Savours 118,119 Slice & Bites 12 FURNITURE Shluf Mattress 24 GIFTS Kitchen Art ................ 68,69 GRAPHICS BP Graphics .................... 85 HATS & ACCESSORIES, LADIES Sox Spot ...................... 34,35 HEALTH & WELLNESS David Hillel Trainer 27 FEG 39,81 Hearing Solutions 60,61 Maxi Health ...........78,79,80 HOME IMPROVEMENT Avi’s Art 88,89 Baths Only 72 CAS Appliances 55 EPC Solutions .................. 74 Jules Flooring .................... 25 MHI Construction 98 MT Plumbing 109 National Heating 77 Pest Control Plus 83 Perfect Locksmith ........... 93 Preferred Paving .............. 54 Prime Coat Painters 37 Verdant Lawns 30 HOSIERY Sox Spot 34,35 JEWELLERY Gemtique ........................ 59 JUDAICA Israel Books 19 Pardes Books .................. 29 JUDAICA - SILVER Doron ...................... 17,101 LAW Berger Law ...................... 75 MENSWEAR Hat Box 31 Suit Agency ..................... 13 MORTGAGE BROKERS Blue Chip Mortgage 40 New Home Rebate 82 PHOTOGRAPHY/VIDEO Crazy Photo Booth....... 73 Exclusive Video 42 Michael Lupescu Photo 46 PRINTING/INVITATIONS BP Graphics 85 PESACH Chabad Niagara 53 Chol Hamoed Fun 48 Dekel .................................. 8 Looking Glass 51 MH Car Cleaning 10 Prestine Kitchens ....... 117 Seforim Wrhse Matza ... 15 Shaimos 44 Sivan Club 102 Zionce ................................ 9 SCHOOLS/YESHIVAS Eitz Chaim.................... 115 Sviva 57 The Toronto Cheder 56 SHOES Little Shoe Palace 43,113 TRAVEL Hoffman ............................. 76 Marriot Hotel ................. 26 WIGS/HAIR Cameo Wigs ............. 38,91 FEATURES & EVENTS Missing Link 96 Brain Teasers..................... 97 Fax Submission Form .. 111 COR ........................22,94,95 Chol Hamoed 48 Admin Tremp 47 Efrat 23 Freeing Canada Station .. 52 KCC ................................... 58 Keter Advisors 21 Kesher Yisrael 49 One Toronto 62-67 TAG 71 TBG ...................................... 4 Yachad ................................ 70 Zipsters 116

SUBSCRIBE NOW TO WATCH ALL OF YOUR FAVORITE JEWISH VIDEOS!

.com
ד"סב
Issuu converts static files into: digital portfolios, online yearbooks, online catalogs, digital photo albums and more. Sign up and create your flipbook.